package org.example.service.Impl;

import org.example.entity.User;
import org.example.mapper.UserMapper;
import org.example.service.IUserService;
import org.example.service.PasswordNotException;
import org.example.service.UsernameNotFoundException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class UserServieImpl implements IUserService {

    @Autowired
    private UserMapper userMapper;

    //用户注册业务逻辑
    @Override
    public void reg(User user) {
        System.out.print(user.getUsername());
        System.out.print(user.getPassword());
        //判断用户名是否为null
        String username = user.getUsername();
        User result = userMapper.findByUsername(username);

        if(result != null){
            throw new UsernameNotFoundException("注册名被占用");
        }

        String password=user.getPassword();
        user.setUsername(username);
        user.setPassword(password);


        System.out.print(result);

        userMapper.insert(user);
    }

    //用户登录业务逻辑
    @Override
    public User login(String username, String password) {
        System.out.println(username+ " "+ password);
        User result=userMapper.findByUsername(username);

        try{
        if(result.equals("")){
            throw new UsernameNotFoundException("用户名不存在");
        }}
        catch (NullPointerException e){
            throw new UsernameNotFoundException("用户名不存在");
        }

        if(!password.equals(result.getPassword())){
            throw new PasswordNotException("密码错误");
        }

        User user =new User();
        user.setUsername(username);
        user.setPassword(password);

        return user;
    }
}
