import com.zaxxer.hikari.HikariConfig;
import com.zaxxer.hikari.HikariDataSource;
import org.junit.jupiter.api.Test;

import java.sql.*;

public class hikariTest {
    @Test
    public void hikari() throws SQLException {
        HikariConfig config = new HikariConfig("/application.properties");
        Connection conn = new HikariDataSource(config).getConnection();
        PreparedStatement drop_table_data_test = conn.prepareStatement("drop table data_test");
        Statement stmt = conn.createStatement();
        try {
            drop_table_data_test.execute();
        } catch (SQLException e) {
        }
        conn.prepareStatement("create table data_test(test1 int)").execute();
        for (int i = 0; i <= 10; i++) {
            stmt.executeUpdate("insert into data_test values("+i+")");
        }
        ResultSet rs = conn.prepareStatement("select * from data_test;").executeQuery();
        while (rs.next()){
            System.out.print(rs.getObject(1)+"\t");
        }
        System.out.println();
        System.out.println("------------------------");
        stmt.executeUpdate("update data_test set test1 = 100;");
        ResultSet rs1 = conn.prepareStatement("select * from data_test;").executeQuery();
        while (rs1.next()){
            System.out.print(rs1.getObject(1)+"\t");
        }
        System.out.println();
        System.out.println("------------------------");
        stmt.executeUpdate("delete from data_test");
        ResultSet rs2 = stmt.executeQuery("select * from data_test;");
        if (!rs2.next()){
            System.out.println("数据删除成功");
        }
        stmt.close();
        drop_table_data_test.execute();
        drop_table_data_test.close();
        rs.close();
        conn.close();
    }

}
