package org.example.mapper;

import org.apache.ibatis.annotations.*;
import org.example.Student;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

//@Component
//@Mapper
//public interface StudentMapper {
//    @Insert("insert into student(sno,sname,ssex) values(#{sno},#{name},#{sex})")
//    int add(Student student);
//
//    @Update("update student set sname=#{name},ssex=#{sex} where sno=#{sno}")
//    int update(Student student);
//
//    @Delete("delete from student where sno=#{sno}")
//    int deleteBysno(String sno);
//
//    @Select("select * from student where sno=#{sno}")
//    @Results(id = "student",value= {
//            @Result(property = "sno", column = "sno", javaType = String.class),
//            @Result(property = "name", column = "sname", javaType = String.class),
//            @Result(property = "sex", column = "ssex", javaType = String.class)
//    })
//    Student queryStudentBySno(String sno);
//}

@Mapper
@Repository
public interface StudentMapper {

    int add(Student student);

    int update(Student student);

    int deleteBysno(String sno);

    Student queryStudentBySno(String sno);

    List<Student> queryStudents();
}