package org.example.controller;

import org.example.entity.User;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Import;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;
import org.example.service.FormatTemplate;

import javax.jws.soap.SOAPBinding;
import java.util.Iterator;


@RestController
public class FormatController {
    @Autowired
    FormatTemplate formatTemplate;

    @RequestMapping("/hello")
    public String formatTest(){
        User user = new User();
        user.setId(783L);
        user.setName("efse");
        user.setPassword("abcdefg");
        user.setUsername("Geralt");
        return formatTemplate.doFormat(user);
    }

}
