
import org.example.Main;
import org.example.entity.User;
import org.example.mapper.UserMapper;
import org.junit.jupiter.api.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@SpringBootTest(classes = Main.class)
public class UserMapperTest {

    @Autowired
    private UserMapper userMapper;

    //测试添加数据
//    @Test
//    public void insert(){
//        User user=new User();
//        String username="zhangsan";
//        String password="123456";
//        Integer id=2;
//        user.setId(id);
//        user.setPassword(password);
//        user.setUsername(username);
//        Integer rows=userMapper.insert(user);
//        System.out.println(rows);
//    }
    //测试查找用户名
    @Test
    public void findByUsername(){
        String username="zhangsan";
        User result=userMapper.findByUsername(username);
        System.out.println(result.getUsername());
    }
    //测试根据id查找内容
    @Test
    public void findById(){
        Integer id=2;
        User result=userMapper.findById(id);
        System.out.println(result.toString());
    }

}

