package org.example;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class BeanIOC {
    //获取配置参数
    @Bean(name="configurationBean")
    public ConfigurationBean getConfigBean(){
        ConfigurationBean configBean = new ConfigurationBean();
        configBean.setServer("127.0.0.1");
        configBean.setPort(8081);
        configBean.setStyle("通过bean注解装配到IOC容器");
        return configBean;
    }
}
