package org.example;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component("componentIOC")
public class ComponentIOC {
    @Value("127.0.0.1")
    private String host;

    @Value("8082")
    private int port;

    @Value("通过Component注解扫描注入bean到IOC容器")
    private String style = "";

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public int getPort() {
        return port;
    }

    public void setPort(int port) {
        this.port = port;
    }

    public String getStyle() {
        return style;
    }

    public void setStyle(String style) {
        this.style = style;
    }
}
