package org.example.controller;


import org.example.entitiy.Student;
import org.springframework.web.bind.annotation.*;

import java.util.*;

@RestController
public class StudentController {


    @RequestMapping(value = "/student")
    public Object student(Integer id , String name){
        Student student = new Student();
        student.setId(id);
        student.setName(name);

        return student;
    }



    @RequestMapping(value = "student/detail/{id}/{name}")
    public Object student1(@PathVariable("id") Integer id,
                           @PathVariable("name") String name){

        HashMap<Object, Object> retMap = new HashMap<>();

        retMap.put("id",id);
        retMap.put("name",name);

        return retMap;
    }


    //    和上面的请求路径冲突
    @RequestMapping(value = "student/detail/{id}/{status}")
    public Object student2(@PathVariable("id") Integer id,
                           @PathVariable("status") String status){

        HashMap<Object, Object> retMap = new HashMap<>();

        retMap.put("id",id);
        retMap.put("status",status);

        return retMap;
    }

}
