package org.example.service;

import org.example.service.HelloService;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@ConfigurationProperties(prefix = "person")
@Component
public class DevelopmentHello implements HelloService {

    //这个值是读取开发环境下的配置文件注入
    private String name;

    public String sayHello() {
        return String.format("hello,I'm %s,this is a development environment!", name);
    }

}